%global debug_package		%{nil}
%global provider		github
%global provider_tld		com
%global	pkgname			asciinema
%global	import_path		%{provider}.%{provider_tld}/%{pkgname}/%{pkgname}

%global commit			062ba8aee02f60d847c3d230ff45da94e917fc7a
%global shortcommit		%(c=%{commit}; echo ${c:0:7})


Name:		%{pkgname}
Version:	1.1.0
Release:	1%{?dist}
Summary:	Command line client (terminal recorder) for asciinema.org service
Group:		Applications/Internet
License:	GPLv3
URL:		http://asciinema.org
Source0:	https://github.com/%{pkgname}/%{pkgname}/archive/v%{version}.tar.gz

Patch0:		asciinema-use-upstream-packages.patch

BuildRequires:	golang
BuildRequires:	golang-src
BuildRequires:	gcc
BuildRequires:	golang(github.com/kr/pty)
BuildRequires:	golang(code.google.com/p/go.crypto/ssh/terminal)
BuildRequires:	golang(github.com/docopt/docopt-go)
BuildRequires:	golang(code.google.com/p/gcfg)
BuildRequires:	python
Requires:	glibc


%description
Asciinema is a free and open source solution for recording the terminal sessions
and sharing them on the web.


%package devel
BuildRequires:		golang >= 1.2.1-3
BuildRequires:		golang(github.com/kr/pty)
BuildRequires:		golang(code.google.com/p/go.crypto/ssh/terminal)
BuildRequires:		golang(code.google.com/p/gcfg)
BuildRequires:		golang(github.com/docopt/docopt-go)
Requires:		golang >= 1.2.1-3
Requires:		golang(github.com/kr/pty)
Requires:		golang(code.google.com/p/go.crypto/ssh/terminal)
Requires:		golang(code.google.com/p/gcfg)
Requires:		golang(github.com/docopt/docopt-go)
Summary:		A golang registry for global request variables (source libraries)
Provides:		%{pkgname}-devel = %{version}-%{release}
Provides:		golang(%{import_path}) = %{version}-%{release}
Provides:		golang(%{import_path}/api) = %{version}-%{release}
Provides:		golang(%{import_path}/asciicast) = %{version}-%{release}
Provides:		golang(%{import_path}/commands) = %{version}-%{release}
Provides:		golang(%{import_path}/ptyx) = %{version}-%{release}
Provides:		golang(%{import_path}/terminal) = %{version}-%{release}
Provides:		golang(%{import_path}/util) = %{version}-%{release}


%description devel
%{summary}

This package provides the source libraries for asciinema.


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

%build
# set up temporary build gopath, and put our directory there
mkdir -p ./_build/src/%{import_path}
ln -s $(pwd)/* ./_build/src/%{import_path}/

export GOPATH=$(pwd)/_build:%{gopath}
go build -o "bin/%{pkgname}" -ldflags "-X main.GitCommit %{shortcommit} -s -linkmode external"


%install
# binary
install -d %{buildroot}%{_bindir}
install -p -m 755 bin/%{pkgname} %{buildroot}%{_bindir}/%{pkgname}

# man page
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/asciinema.1 %{buildroot}%{_mandir}/man1/

# devel
install -d -p %{buildroot}%{gopath}/src/%{import_path}
for dir in api asciicast commands ptyx terminal util ;do
	cp -rpav $dir %{buildroot}%{gopath}/src/%{import_path}/
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/asciicast
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/terminal
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/commands
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/util


%files
%doc CHANGELOG.md LICENSE README.md
%{_bindir}/asciinema
%{_mandir}/man1/*


%files devel
%doc CHANGELOG.md LICENSE README.md Godeps/Godeps.json
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{pkgname}/%{pkgname}
%{gopath}/src/%{import_path}


%changelog
* Wed Jun  3 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.1.0-1
- Update to new version

* Mon Mar 23 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.0.0-2
- Patch: support locale which ends with utf8
- Patch: edit some details in man page

* Tue Mar 17 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.0.0-1
- Update to new version
- Add Godeps to docs

* Fri Mar  6 2015 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.9.9-1
- Update to new version
- Rewritten to Go
- License changed to GPLv3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.9.8-1
- Update to new version

* Mon Jan 27 2014 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.9.7-3
- Add check of tests
- Add build and common requires
- Patch for non-interactive shell

* Mon Dec  2 2013 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.9.7-2
- A few spec file changes
- Edit Summary

* Mon Nov 25 2013 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 0.9.7-1
- Initial package
